# Delete department goal | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Delete department goal

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

DELETE /goals/department/progress-alert/test

## Operation

Operation ID: `deleteDepartmentGoal`

Delete a department goal by `id`. Access control: - The creator (`created_by`) may delete regardless of department membership. - Otherwise the user must satisfy the subset rule or have `superuser`.

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | yes | integer | ID of the goal to delete

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Department goal deleted successfully | application/json
400 |  |
401 |  |
403 |  |
404 |  |

Schema for response `200` (`application/json`):

{}
17 March 2026